#ifndef BUTTONGROUP_H
#define BUTTONGROUP_H

class Button;

class ButtonGroup {
  private:
    static const int buttonCapacity_ = 4;
  
    Button* buttons_[buttonCapacity_];
    int buttonCount_ = 0;

  public:
    ButtonGroup();

    int count();
    Button* button(int);

    void update();

    bool addButton(Button*); //Palauttaa false, jos epäonnistuu
  
};



#endif
