#include <Keyboard.h>

#include "pins.h"

#include "Button.h"
#include "ButtonGroup.h"
#include "LightController.h"

ButtonGroup group;
LightController lights(&group);

void setup() {
  // put your setup code here, to run once:

  group.addButton(new Button(BUTTON_1, LIGHT_1, '1'));
  group.addButton(new Button(BUTTON_2, LIGHT_2, '2'));
  group.addButton(new Button(BUTTON_3, LIGHT_3, '3'));
  group.addButton(new Button(BUTTON_4, LIGHT_4, '4'));

  pinMode(LED_BUILTIN, OUTPUT);

  Keyboard.begin();

  Serial.begin(9600);

}

void loop() {

  group.update();
  lights.update();

}
